server.port=8089
spring.thymeleaf.cache=false
context.listener.classes=com.xintong.SystemInit

#master.datasource.url = jdbc:mysql://10.112.0.199:3306/visualinspection?useUnicode=true&characterEncoding=utf-8
#master.datasource.url = jdbc:mysql://git.topm.win:9003/visualinspection?useUnicode=true&characterEncoding=utf-8
master.datasource.url = jdbc:mysql://xt.wenhq.top:8082/visualinspection?useUnicode=true&characterEncoding=utf-8
#master.datasource.url = jdbc:mysql://10.112.0.199:7002/visualinspection?useUnicode=true&characterEncoding=utf-8
master.datasource.username = root
master.datasource.password = root
master.datasource.driver-class-name = com.mysql.jdbc.Driver
master.mapper-locations=classpath:com/xintong/visualinspection/mapper/master/*.xml

## \u7528\u6237\u6570\u636E\u6E90\u914D\u7F6E
#cluster.datasource.url=jdbc:mysql://10.112.0.199:3306/visualinspection?useUnicode=true&characterEncoding=utf8
#cluster.datasource.url=jdbc:mysql://git.topm.win:9003/visualinspection?useUnicode=true&characterEncoding=utf8
cluster.datasource.url = jdbc:mysql://xt.wenhq.top:8082/visualinspection?useUnicode=true&characterEncoding=utf-8
#cluster.datasource.url=jdbc:mysql://10.112.0.199:7002/visualinspection?useUnicode=true&characterEncoding=utf8
cluster.datasource.username=root
cluster.datasource.password=root
cluster.datasource.driver-class-name = com.mysql.jdbc.Driver
cluster.mapper-locations=classpath:com/xintong/visualinspection/mapper/cluster/*.xml


# \u521D\u59CB\u5316\u5927\u5C0F\uFF0C\u6700\u5C0F\uFF0C\u6700\u5927
spring.datasource.initialSize=5
spring.datasource.minIdle=5
spring.datasource.maxActive=20
# \u914D\u7F6E\u83B7\u53D6\u8FDE\u63A5\u7B49\u5F85\u8D85\u65F6\u7684\u65F6\u95F4
spring.datasource.maxWait=60000
# \u914D\u7F6E\u95F4\u9694\u591A\u4E45\u624D\u8FDB\u884C\u4E00\u6B21\u68C0\u6D4B\uFF0C\u68C0\u6D4B\u9700\u8981\u5173\u95ED\u7684\u7A7A\u95F2\u8FDE\u63A5\uFF0C\u5355\u4F4D\u662F\u6BEB\u79D2
spring.datasource.timeBetweenEvictionRunsMillis=60000
# \u914D\u7F6E\u4E00\u4E2A\u8FDE\u63A5\u5728\u6C60\u4E2D\u6700\u5C0F\u751F\u5B58\u7684\u65F6\u95F4\uFF0C\u5355\u4F4D\u662F\u6BEB\u79D2
spring.datasource.minEvictableIdleTimeMillis=300000
spring.datasource.validationQuery=SELECT 1 FROM DUAL
spring.datasource.testWhileIdle=true
spring.datasource.testOnBorrow=false
spring.datasource.testOnReturn=false
# \u6253\u5F00PSCache\uFF0C\u5E76\u4E14\u6307\u5B9A\u6BCF\u4E2A\u8FDE\u63A5\u4E0APSCache\u7684\u5927\u5C0F
spring.datasource.poolPreparedStatements=true
spring.datasource.maxPoolPreparedStatementPerConnectionSize=20
# \u914D\u7F6E\u76D1\u63A7\u7EDF\u8BA1\u62E6\u622A\u7684filters\uFF0C\u53BB\u6389\u540E\u76D1\u63A7\u754C\u9762sql\u65E0\u6CD5\u7EDF\u8BA1\uFF0C'wall'\u7528\u4E8E\u9632\u706B\u5899
spring.datasource.filters=stat,wall,log4j
# \u901A\u8FC7connectProperties\u5C5E\u6027\u6765\u6253\u5F00mergeSql\u529F\u80FD\uFF1B\u6162SQL\u8BB0\u5F55
spring.datasource.connectionProperties=druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
# \u5408\u5E76\u591A\u4E2ADruidDataSource\u7684\u76D1\u63A7\u6570\u636E
spring.datasource.useGlobalDataSourceStat=true







# REDIS (RedisProperties)
# Redis\u6570\u636E\u5E93\u7D22\u5F15\uFF08\u9ED8\u8BA4\u4E3A0\uFF09
spring.redis.database=0  
# Redis\u670D\u52A1\u5668\u5730\u5740
#spring.redis.host=10.112.0.199
spring.redis.host=192.168.45.158
#spring.redis.host=127.0.0.1
# Redis\u670D\u52A1\u5668\u8FDE\u63A5\u7AEF\u53E3
#spring.redis.port=6379

spring.redis.port=6379
#spring.redis.port=9004
#spring.redis.port=7003
# Redis\u670D\u52A1\u5668\u8FDE\u63A5\u5BC6\u7801\uFF08\u9ED8\u8BA4\u4E3A\u7A7A\uFF09
spring.redis.password=xintong
# \u8FDE\u63A5\u6C60\u6700\u5927\u8FDE\u63A5\u6570\uFF08\u4F7F\u7528\u8D1F\u503C\u8868\u793A\u6CA1\u6709\u9650\u5236\uFF09
spring.redis.pool.max-active=8  
# \u8FDE\u63A5\u6C60\u6700\u5927\u963B\u585E\u7B49\u5F85\u65F6\u95F4\uFF08\u4F7F\u7528\u8D1F\u503C\u8868\u793A\u6CA1\u6709\u9650\u5236\uFF09
spring.redis.pool.max-wait=-1  
# \u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5927\u7A7A\u95F2\u8FDE\u63A5
spring.redis.pool.max-idle=8  
# \u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5C0F\u7A7A\u95F2\u8FDE\u63A5
spring.redis.pool.min-idle=0  
# \u8FDE\u63A5\u8D85\u65F6\u65F6\u95F4\uFF08\u6BEB\u79D2\uFF09
spring.redis.timeout=0 


log.path=./visual/
log.file=visual
log.lever=info
log.MaxHistory=20
log.pattern=%-12(%d{yyyy-MM-dd HH:mm:ss.SSS}) |-%-5level [%thread] %c [%L] -| %msg%n
#logging.level.root=INFO
#logging.level.org.springframework.web=DEBUG
#logging.level.org.springframework.data=DEBUG
#logging.level.org.springframework.security=DEBUG



spring.devtools.restart.enabled=true



# JWT
jwt.header=token
jwt.secret=mySecret
jwt.expiration=60480000
jwt.tokenHead=XinTong 




# File path
storage.file.path=/Users/wenhongquan/Desktop/file/
spring.http.multipart.maxFileSize=1000MB
spring.http.multipart.maxRequestSize=1000MB


management.shell.auth.simple.user.name=wen
management.shell.auth.simple.user.password=wen
management.shell.auth.type=simple





# Base packages to scan Dubbo Components (e.g., @Service, @Reference)
dubbo.scan.basePackages  = com.xintong.visualinspection.service

# Dubbo Config properties
## ApplicationConfig Bean
dubbo.application.id = jicha_base-provider
dubbo.application.name = jicha_base-provider
dubbo.reference.check=false
dubbo.consumer.check=false

# ProtocolConfig Bean
dubbo.protocol.id = dubbo
dubbo.protocol.name = dubbo
dubbo.protocol.port = 7682
dubbo.protocol.status = server

## RegistryConfig Bean
dubbo.registry.id = demoservice
dubbo.registry.address = zookeeper://127.0.0.1:2181
#dubbo.registry.address = zookeeper://git.topm.win:9994
dubbo.registry.file = ./output/dubbo.cache










